# PetscStrallocpy

Allocates space to hold a copy of a string then copies the string

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscStrallocpy(const char s[],char *t[])

Not Collective

### Input Parameters

s -pointer to string

### Output Parameter

t -the copied string

### Note

Null string returns a new null string

Level:intermediate
Location: src/sys/utils/str.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages